10 '  ********************************************************************
20 '  *                                                                  *
30 '  *  Micro Character Generator Program MCGCOM1.BAS Version 1.03      *
40 '  *  (C) 1998 by BURST ELECTRONICS Inc                               *
50 '  *                                                                  *
60 '  *  This example program may be freely copied and modified for      *
70 '  *  use with the MCG-2.                                             *
90 '  *                                                                  *
100 ' *                                                                  *
110 ' *                                                                  *
120 ' *                                                                  *
130 ' ********************************************************************
140 '
150 ' ********************************************************************
160 ' *                                                                  *
170 ' *  This is an example program to show how to open a serial port    *
180 ' *  and send commands to an MCG-2.                                  *
190 ' *                                                                  *
200 ' *  Serial port COM1: and MCG-2 device ID #01 are assumed.          *
210 ' *  Valid for ROM Software V1.06                                    *
220 ' ********************************************************************
230 '
240 ' Open COM port 1 for 9600 baud, no parity, 8 data bits, one stop bit
250 OPEN "COM1:9600,n,8,1" AS #1
255 '
260 ' Wake device and set responces to OFF
270 GOSUB 600
275 '
280 ' Send WRITE commands to MCG-2, and delay after each line for processing.
290 PRINT #1,"WL,1,1,       MCG-2        "
300 GOSUB 700
310 PRINT #1,"WL,1,2,   MICRO CHARACTER  "
320 GOSUB 700
330 PRINT #1,"WL,1,3,     GENERATOR      "
340 GOSUB 700
350 PRINT #1,"WL,1,4,                    "
360 GOSUB 700
370 PRINT #1,"WL,1,5,> 180 CHARACTER DISP"
380 GOSUB 700
390 PRINT #1,"WL,1,6,> 10 PAGES OF MEMORY"
400 GOSUB 700
410 PRINT #1,"WL,1,7,> RS232 CONTROL     "
420 GOSUB 700
430 PRINT #1,"WL,1,8,> REMOTE & ON SCREEN"
440 GOSUB 700
450 PRINT #1,"WL,1,9,  EDITING.          "
460 GOSUB 700
470 PRINT #1,"DP,1"  'Display the page.
480 GOSUB 700
490 PRINT #1,"SR,1"  'Turn responces back on.
500 GOSUB 700
510 GOTO 900
599 '
600 'Slowly send WAKE, and RESPONCES OFF commands
605 GOSUB 800 ' Clear MCG-2 input buffer
610 FOR X=1 TO 14
620 READ A$
630 IF A$="~" THEN PRINT #1,CHR$(13): GOSUB 700: GOTO 650
640 PRINT #1,A$;
650 FOR Y=1 TO 500: NEXT Y
660 NEXT X
670 RETURN
680 DATA "S","P","~","W","K",",","0","1","~","S","R",",","0","~"
699 '
700 ' Delay between each line to allow for MCG-2 processing.
710 ' (Slower baud rates require a longer delay.)
720 FOR Z=1 TO 500: NEXT Z
730 RETURN
799 '
800 ' Clear MCG-2 input buffer with a ASCII 13
810 PRINT #1,CHR$(13);
820 GOSUB 700
830 GOSUB 700
840 GOSUB 700
850 RETURN
900 END
